﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Program
{
    public class DokumentOsiguranja : IConfirmable
    {
        public DokumentOsiguranja(Vozilo vozilo, double cijenaPremije)
        {
            Vozilo = vozilo;
            CijenaPremije = cijenaPremije;
        }

        Vozilo Vozilo { get; }
        public double CijenaPremije { get; set; }
        public bool Confirmed { get; private set; }

        //confirm je redundantan ovdje i u dokumentuosiguranja ali nisam siguran kako implementirati parent class Dokument s IConfirmable, isto tako sa IIzdavano
        public void Confirm()
        {
            Confirmed = true;
        }
    }
}
